Skip to main content
PATCH
SDK

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

subscriptionId
string
required

Body

application/json
url
string<uri>
events
string[]
status
enum<string>
Available options:
active,
paused
secret
string

Response

Updated subscription.

id
string
required
operatorId
string
required
url
string<uri>
required
events
string[]
required
status
enum<string>
required
Available options:
active,
paused
hasSecret
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
connectionId
string | null